#ifndef PAGE_H
#define PAGE_H
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <ncurses.h>
#include <panel.h>
#include "frame.h"
extern int row;
extern int col;
extern int nblines;
extern int nbcols;
extern int startx;
extern int starty;

#define MAXLINE  24


typedef struct _page_ { 
  char   *title;
  short  bound;
  char   *plan;
  WINDOW *slide;
  frame   active;
  int   num, pos;
  short x, y, height, width;
  int count;
  frame  fil;
  struct _page_ *next, *prev;
} enrpage, *page;

page initpage(void);
char  *skiptag( char * s );
void  dump(page aux);
void  inspage(page c, page g);
page  newpage( void );
page  loadpage( char *fn );
void labels( page p );
#endif
